# $Revision: 1.7 $, $Date: 2003/12/25 12:22:43 $
Summary:	Utility to switch display between the various output devices on S3 Savage cards
Summary(pl):	Narzdzie do przeczania si pomidzy rnymi wyjciami na kartach S3 Savage
Name:		s3switch
Version:	20031205
Release:	3
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.probo.com/pub/s3ssrc.zip
# Source0-md5:	1328b070343ac79c5ed4c613a1113754
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-glibc-kernel-headers.patch
BuildRequires:	unzip
Requires(post,preun):	/sbin/chkconfig
Requires:	glibc >= 2.2
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utility that will allow you to switch your display between the various
output devices supported by the Savage (CRT, LCD, TV).

%description -l pl
Narzdzie pozwalajce przecza wywietlanie ekranu pomidzy rnymi
urzdzeniami wyjciowymi wspieranymi przez S3 Savage (CRT, LCD, TV).

%prep
%setup -q -c
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install s3switch $RPM_BUILD_ROOT%{_sbindir}
install s3switch.1x $RPM_BUILD_ROOT%{_mandir}/man8/s3switch.8
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/s3switch
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/s3switch

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add s3switch

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del s3switch
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/s3switch
%config(noreplace) %verify(not size mtime md5) /etc/sysconfig/s3switch
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: s3switch.spec,v $
Revision 1.7  2003/12/25 12:22:43  qboosh
- glibc-devel is already required by rpm-build

Revision 1.6  2003/12/25 00:37:21  tommat
- added patch to build with new glibc-kernel-headers

Revision 1.5  2003/12/06 11:38:48  qboosh
- shortened summaries a little, removed redundant BRs
- use optflags, ExclusiveArch: x86

Revision 1.4  2003/12/06 11:16:00  domelu
- cosmetics

Revision 1.3  2003/12/06 11:10:59  domelu
- change Source0 from http:// to ftp://

Revision 1.2  2003/12/05 23:06:18  tommat
- system initialization added
- rel up.

Revision 1.1  2003/12/05 22:12:57  tommat
- first release
